
//Program to read the temperature sensor DS18B20.
// By Francis Lance april 2019.

#include <OneWire.h>  // The library for the onewire communication with the temperature sensor.
#include <DallasTemperature.h>  // The library to convert the data from the temperature sensor in degrees Celcius

#define ONE_WIRE_BUS 8 // The yellow wire data is connected on into pin 8 of the Atmega328p
 
OneWire oneWire(ONE_WIRE_BUS); // Create a oneWire devices
 
DallasTemperature sensors(&oneWire); // Now with the oneWire Device, we create a temperature sensor

void setup(void) 
{ 
 
 Serial.begin(9600); // Initialize serial port 
 Serial.println("Water Temperature program"); 
 sensors.begin(); // Start the sensors
} 
void loop(void) 
{ 
 sensors.requestTemperatures(); // Request the temperature from the sensor.
 Serial.print("The water temperature is: "); 
 Serial.print(sensors.getTempCByIndex(0)); // Get the temperature at index 0 in degrees Celcius ( 0 is the first sensor on the Bus if you have more than one sensor)  
 Serial.println(" degrees Celcius ");
 delay(500); // Wait 0,5 seconde to be able to read the temperature.
} 
